#ifndef _LEVELMANAGER_
#define _LEVELMANAGER_

#include <list>
#include <string>

class Game;
class Entity;


class LevelManager
{
public:
	LevelManager(Game*);

	std::list<Entity*> getEntities(int level);

	int getNumLevels();
private:
	void addBlockRow(float YPos, std::string Blocks, std::list<Entity*>& EntityList);
	void addDefaultEntities(std::list<Entity*>& EntityList);

	Game *game;
	
};
#endif // _LEVELMANAGER_
